{% extends 'base.html' %}
{% load i18n %}

{% block title %} {% trans 'Отзывы' %} {% endblock title %}
{% block content %}
<br xmlns="http://www.w3.org/1999/html">
<div class="text-center">
    <h2>{% trans 'Отзывы наших клиентов' %}</h2>
</div>
<br>
{% if request.user.is_authenticated %}
    <br>
    <a href="{% url 'add_comment' %}">
        <button type="button" class="btn btn-secondary btn-lg col-2 translate-middle-x
        position-relative start-50">{% trans 'Добавить отзыв' %}</button>
    </a>
    <br>
    <br>
{% else %}
    <br>
        <div class="text-center">
        <a class="btn btn-secondary>" href="{% url 'login' %}">{% trans 'Авторизируйтесь, чтобы оставить комментарий' %}</a>
    </div>
    <br>
{% endif %}

    <div class="col-8 fcol-2 translate-middle-x position-relative start-50 ">
        {% if comments %}
            {% for el in comments %}
                <div class="card text-center ">
                    <div class="card-header font-italic">
                        {{el.name}}
                    </div>
                    <div class="card-body">
                        <h5 class="card-title ">{{el.title}}</h5>
                        <p class="card-text">{{el.comment|linebreaks}}</p>
                    </div>
                    <div class="card-footer text-muted">{{el.created|date:"d-m-Y H:i"}}</div>
                </div>
        <br>
            {% endfor %}
        {% else %}
            <h3> {% trans 'Отзывов нет' %} </h3>
        {% endif %}
        <br>
    </div>

{% endblock %}
